20 febbraio 2009

Errore aggiornamento automatico Wordpress 2.7.1 su hosting Linux su Aruba

Hai un hosting Linux su Aruba, hai provato ad effettuare l'aggiornamento automatico a Wordpress 2.7.1 e ... non riesci più a visualizzare il contenuto del tuo blog e compare la scritta “Error 500 internal server error”, ecc. ecc..
Non ti preoccupare non hai perso tutto il tuo lavoro!!!
Segui questi semplici consigli e tra pochi istanti il tuo blog sarà nuovamente on line ed aggiornato alla nuova versione!
 
Il problema infatti non è sui dati, post, pagine o template ma solo sui permessi impostati sulle cartelle e files a seguito dell'aggiornamento.
Ci sono 2 soluzioni alternative per ripristinare i permessi nel modo corretto.
Prima soluzione
Edita il file wp-config.php contenuto nella cartella principale aggiungendo queste 2 righe:
define('FS_CHMOD_FILE',0755);
define('FS_CHMOD_DIR',0755);
Copiale e incollale dove vuoi. A  me ha funzionato immediatamente senza problemi.
Seconda soluzione
Vai nel pannello di controllo del tuo account e clicca su ripristina i permessi sulle cartelle e file. Con Aruba devi andare admin.nomedelsito.it e poi riparazione permission.

Ci sarebbe anche la possibilità di impostare i permessi via Ftp ma ho letto in alcuni post che ha dato dei problemi per cui eviterei.
Personalmente ho utilizzato la prima soluzione.
Buon divertimento!
Potrebbero interessarti:
var linkwithin_site_id = 16657; Related Posts with Thumbnails